org.apache.tinkerpop.gremlin.structure.io.graphson

## Class TinkerPopJacksonModule

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.Module
  - - org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule
    - - org.apache.tinkerpop.gremlin.structure.io.graphson.TinkerPopJacksonModule

- All Implemented Interfaces:
    Serializable, org.apache.tinkerpop.shaded.jackson.core.Versioned
  Direct Known Subclasses:
    CustomId.CustomIdTinkerPopJacksonModuleV2d0, CustomId.CustomIdTinkerPopJacksonModuleV3d0, GraphSONXModuleV2d0, GraphSONXModuleV3d0, ToyIoRegistry.ToyModule

      public abstract class TinkerPopJacksonModule
      extends org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule

  A `SimpleModule` extension that does the necessary work to make the automatic typed deserialization without full canonical class names work. Users of custom modules with the GraphSONMapper that want their objects to be deserialized automatically by the mapper, must extend this class with their module. It is the only required step. Using this basis module allows the serialization and deserialization of typed objects without having the whole canonical name of the serialized classes included in the Json payload. This is also necessary because Java does not provide an agnostic way to search in a classpath a find a class by its simple name. Although that could be done with an external library, later if we deem it necessary.
  Author:
    Kevin Gallardo (https://kgdo.me)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.shaded.jackson.databind.Module

      `org.apache.tinkerpop.shaded.jackson.databind.Module.SetupContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule

      `_abstractTypes, _deserializerModifier, _deserializers, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TinkerPopJacksonModule(String name)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Map<Class,String>` | `getTypeDefinitions()`
    `abstract String` | `getTypeNamespace()`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule

      `_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.Module

      `getDependencies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TinkerPopJacksonModule

          public TinkerPopJacksonModule(String name)

  - ### Method Detail

    - #### getTypeDefinitions

          public abstract Map<Class,String> getTypeDefinitions()

    - #### getTypeNamespace

          public abstract String getTypeNamespace()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.